var activity_contents = {
	data: {},
	dataInit: function() {
		activity_contents.fn.initialize();
		activity_contents.fn.list_init();
	},
	eventBind: function() {},
	fn: {
		list_init: function() {
			var url = window.location.href;
			var aid = url.substring(url.indexOf("=") + 1, url.length);
			//活动详情
			$.ajax({
				type: 'GET',
				url: config.host + "activity/activity/getActivityOne",
				data: {
					token: localStorage.getItem('token'),
					activity_id: aid,
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						activity_contents.fn.dataFill(list, 1);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});

			//活动已报名列表
			$.ajax({
				type: 'GET',
				url: config.host + "activity/activity/getApplyUserList",
				data: {
					activity_id: aid,
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						activity_contents.fn.dataFill(list, 2);
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});
		},

		dataFill: function(list, no) {
			if (list) {
				var data = {
					total: list.data.length,
					list: list,
					host: localStorage.getItem('file'),
				};
				if (no == 1) { //活动详情
					//活动开始时间
					list.data.start_at = timeFormat(list.data.start_at, 2);
					//活动结束时间
					list.data.end_at = timeFormat(list.data.end_at, 2);
					//活动报名截止时间
					list.data.apply_end_at = timeFormat(list.data.apply_end_at, 2);
					//活动创建时间格式化
					list.data.created_at = timeFormat(list.data.created_at, 1);
					//价格去掉小数点
					var price = list.data.fee;
					list.data.fee = price.substring(0, price.length - 3);

					var is_apply = list.data.is_apply;
					if (is_apply == 1) {
						document.getElementById('apply').innerHTML = '已报名';
						$('#apply').removeAttr('onclick');
					}

					var imgObj = document.getElementById("dz");

					var token = localStorage.getItem('token');
					if (token == null) {
						imgObj.src = "../res/img/botton_Thumb-up_normal.png";
					} else {

						var is_approval = list.data.is_approval;
						if (is_approval == 1) { //没有点赞
							imgObj.src = "../res/img/botton_Thumb-up_normal.png";
						} else { //已经点赞
							imgObj.src = "../res/img/botton_Thumb-up_click.png";
						}
					}

					var html = template('activity_content', data);
					document.getElementById('activityContent').innerHTML = html;
				} else if (no == 2) {
					$.each(list.data, function(key, val) {
						val.created_at = timeFormat(val.created_at, 1);
					});
					var html = template('apply_user', data);
					document.getElementById('activityUser').innerHTML = html;
				}
			}
		},
		//活动报名
		join_activity: function() {
			var url = window.location.href;
			var aid = url.substring(url.indexOf("=") + 1, url.length);
			var timestamp = new Date().getTime();
			var username = document.getElementById('username').value;
			var mobile = document.getElementById('mobile').value;
			$.ajax({
				type: 'GET',
				url: config.host + "activity/activity/apply",
				data: {
					activity_id: aid,
					token: localStorage.getItem('token'),
					name: username,
					mobile: mobile,
					timestamp: timestamp,
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						$.alert('报名成功');
						window.location.href = 'activity_success.html?id=' + list.data.apply_id;
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});
		},

		tagFill: function() {
			var data = {
				bar_Title: '活动详情',
				ChaBuDaoXinXi: '查不到信息',
			};
			var tem = template('page', data);
			document.getElementById('page').innerHTML = tem;
		},
		initialize: function() {
			activity_contents.fn.tagFill();
		},
		cordavaDataGet: function() {
			activity_contents.dataInit();
			activity_contents.eventBind();
		},

		//支持和反对
		zan: function(type) {
			var url = location.href;
			var mid = url.substring(url.indexOf("=") + 1, url.length);
			$.ajax({
				type: 'GET',
				url: config.host + "approval/approval/chg",
				data: {
					token: localStorage.getItem('token'),
					keytype: 1,
					keyid: mid,
					type: type, //1支持，2反对
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						$.alert(list.data);
						var imgObj = document.getElementById("dz");
						if (imgObj.getAttribute("src", 2) == "../res/img/botton_Thumb-up_normal.png") {
							//点赞操作
							imgObj.src = "../res/img/botton_Thumb-up_click.png";
						} else {
							//取消点赞
							imgObj.src = "../res/img/botton_Thumb-up_normal.png";
						}
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});
		},
		//发送评论
		addReply: function() {
			var content = document.getElementById('text').value;
			var url = location.href;
			var mid = url.substring(url.indexOf("=") + 1, url.length);
			var token = localStorage.getItem('token');
			$.ajax({
				type: 'GET',
				url: config.host + "reply/reply/addReply",
				data: {
					token: localStorage.getItem('token'),
					touid: 0,
					parentid: 0,
					keytype: 1, //1:活动模块,2:跳蚤市场,3:早教中心,4:推介服务,5:时光轴
					keyid: mid,
					content: content,
				},
				dataType: "jsonp",
				success: function(list) {
					console.log("请求成功");
					if (list.status == 1) {
						document.getElementById('pinglun').style.display = 'none';
						$.alert('评论成功');
					} else {
						$.alert(list.data);
					}
				},
				error: function(xhr, type) {
					console.log("网络异常");
					$.alert('网络异常');
				}
			});
		},

	}
}
Zepto(function($) {
	activity_contents.fn.cordavaDataGet();
});